"""
    Freqtrade API

    No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)  # noqa: E501

    The version of the OpenAPI document: 2021.9-dev10
    Generated by: https://openapi-generator.tech
"""


import unittest

import ftclient
from ftclient.api.botcontrol_api import BotcontrolApi  # noqa: E501


class TestBotcontrolApi(unittest.TestCase):
    """BotcontrolApi unit test stubs"""

    def setUp(self):
        self.api = BotcontrolApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_reload_config_api_v1_reload_config_post(self):
        """Test case for reload_config_api_v1_reload_config_post

        Reload Config  # noqa: E501
        """
        pass

    def test_start_api_v1_start_post(self):
        """Test case for start_api_v1_start_post

        Start  # noqa: E501
        """
        pass

    def test_stop_api_v1_stop_post(self):
        """Test case for stop_api_v1_stop_post

        Stop  # noqa: E501
        """
        pass

    def test_stop_buy_api_v1_stopbuy_post(self):
        """Test case for stop_buy_api_v1_stopbuy_post

        Stop Buy  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
